package cn.estsh.i3plus.pojo.mes.pcn.model;

import cn.estsh.i3plus.pojo.mes.pcn.bean.MesStep;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Description : 工位结果bean
 * @Reference :
 * @Author : jack.jia
 * @CreateDate : 2019-04-24
 * @Modify:
 **/
@Data
public class StationResultBean implements Serializable {

    /**
     * 根据客户端所需数据结构，约定不同数据类型
     */
    @ApiParam("数据类型")
    private String flagType;

    @ApiParam("是否错误信息")
    private boolean fail;

    @ApiParam("执行结果信息")
    private String message;

    @ApiParam("工步展示信息")
    private String stepHtml;

    @ApiParam("工步清单")
    private List<MesStep>  stepList;
}
